<?php

namespace Drupal\commerce_payfort\Event;

use Symfony\Component\EventDispatcher\Event;
use Drupal\commerce_order\Entity\OrderInterface;

/**
 * Defines the event for altering the parms sent to the API.
 *
 * @see \Drupal\commerce_payfort\Event\CommercePayfortPaymentEvents
 */
class AlterPaymentParamsEvent extends Event {

  /**
   * The prameters.
   */
  protected $params;

  /**
   * The order.
   *
   * @var \Drupal\commerce_order\Entity\OrderInterface
   */
  protected $order;

  /**
   * Constructs a new AlterPaymentParamsEvent object.
   *
   * @param array $params
   *   The prameters.
   * @param \Drupal\commerce_order\Entity\OrderInterface $order
   *   The order.
   */
  public function __construct(array $params, OrderInterface $order) {
    $this->params = $params;
    $this->order = $order;
  }

  /**
   * Gets the payment prameters.
   *
   * @param array $params
   *   The prameters.
   */
  public function getPaymentParams() {
    return $this->params;
  }

  /**
   * Sets the payment prameters.
   *
   * @param array $params
   *   The prameters.
   */
  public function setPaymentParams($params) {
    $this->params = $params;
  }

  /**
   * Gets the order.
   *
   * @return \Drupal\commerce_order\Entity\OrderInterface
   *   The order.
   */
  public function getOrder() {
    return $this->order;
  }

}
